/************************************************************************
 *	ubc.c								*
 *======================================================================*
 *	This file will sweep over the BASIC source code file which	*
 *	is to be translated into C.  The purpose for this is to begin	*
 *	to collect information about the BASIC program that we need	*
 *	in C (such as declarations, prototypes, etc.).  We will be	*
 *	scanning for things in three passes and X steps:		*
 *	Step 1:								*
 *		Pass 1: 	Statement --> C Preliminary sweep.	*
 *				We will determine what #include		*
 *				declarations will be required for	*
 *				the resulting source code file.		*
 *		Pass 2:		Variable and Subroutine sweep.		*
 * 				Now we will look for all of the		*
 *				subroutines that are in the BASIC	*
 *				source file, and prepare prototypes	*
 *				for them.  Also, we will declare all	*
 * 				of the variables within their desig-	*
 *				nated scopes.				*
 *		Pass 3:		Actual conversion from BASIC to C. 	*
 *				Instead of just quickly analysing	*
 *				what functions are needed, we now	*
 *				take the time to parse the function	*
 *				lines in BASIC, figure out the det-	*
 *				ails, and then write out the C		*
 *				statements.				*
 *	Step 2:								*
 *		We will now create a Makefile (for GNU make) that	*
 *		will successfully compile the program.  GNU make	*
 *		is the chosen format because the GNU compiler system	*
 *		is free under the same terms as this software and	*
 *		is available for all platforms, as far as I know.	*
 *	Step 3 (Optional):						*
 *		Compile the source code for the C program into the	*
 *		binary program.						*
 *======================================================================*
 *		Author:		Michael B. Trausch			*
 *		Copyright:	(C) 1999, See COPYRITE.TXT for details	*
 *		License:	GPL					*
 *		Version:	0.1.1					*
 *======================================================================*
 *	It is hereby stated that this program, and all sources with	*
 *	it, are made allowed to be used by any person that agrees to	*
 *	the terms of the GNU GPL license, found in LICENSE.TXT, with	*
 *	this program.  If you didn't recieve the GPL license along	*
 *	with the program, then you may download it from the GNU web	*
 *	site at:  http://www.gnu.org.  PLEASE NOTE THAT THIS PROGRAM	*
 *	IS SUPPLIED WITHOUT WARRANTY OF ANY TYPE, IN ANY LOCATION.	*
 *	MICHAEL B. TRAUSCH, THE WOOD COUNTY FREENET, THE FREE SOFT-	*
 *	WARE FOUNDATION, NOR ANY OTHER ENTITY THAT MAY HAVE AIDED	*
 *	IN THE DISTRIBUTION PROCESS OF THIS SOFTWARE IS RESPONSIBLE	*
 *	FOR ANY DAMAGE THAT THIS SOFTWARE MAY DO TO YOUR COMPUTER,	*
 *	EVEN IF ANY OR ALL OF THE ABOVE LISTED PARTIES ARE AWARE OF	*
 *	SUCH POSSIBILITY OF DAMAGE.					*
 ************************************************************************/


